> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Verification



## OpenAPI

````yaml get /v2/verifications/{verificationId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v2/verifications/{verificationId}:
    get:
      tags:
        - Verifications
      summary: Get Verification
      operationId: getVerification
      responses:
        '200':
          description: A verification
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FullVerificationV2Response'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    FullVerificationV2Response:
      type: object
      properties:
        verificationId:
          type: string
          description: The Sohar ID for the verification
          format: uuid
          example: fb701ac1-1246-4860-b1ec-bd916b97a990
        created:
          type: string
          format: date-time
          description: >-
            An ISO 8601 date and time string describing when the verification
            was created
          example: '2024-01-01T12:00:00.000Z'
        status:
          type: string
          description: >-
            The [status](/documentation/guides/verification#statuses) of the
            verification
          example: complete.eligible
        statusReason:
          type: string
          nullable: true
          description: >-
            Reason for the verification status when status is
            "complete.ineligible" or "error.payer". INACTIVE indicates coverage
            is inactive, NON_COVERED indicates coverage is active but the
            requested service type is not covered, CONTACT_PAYER_REQUIRED
            indicates the verification is pending but requires manual payer
            contact when manual resolution is not enabled,
            ACTIVE_PENDING_INVESTIGATION indicates coverage is active but
            further investigation is required to determine eligibility (ie
            premium not paid).
          enum:
            - INACTIVE
            - NON_COVERED
            - CONTACT_PAYER_REQUIRED
            - ACTIVE_PENDING_INVESTIGATION
        id:
          type: string
          nullable: true
          description: >-
            An optional identifier for the verification. This is a user-defined
            value that can be used when creating the verification
          example: '123456'
        placeOfServiceCode:
          type: string
          nullable: true
          description: Provided place of service code for the verification
          example: '11'
        specialtyCode:
          type: string
          nullable: true
          description: Provided specialty code for the verification
          example: PSY
        benefits:
          type: array
          items:
            $ref: '#/components/schemas/BenefitsV2'
        limitations:
          type: array
          items:
            $ref: '#/components/schemas/Limitation'
          description: An array of limitations associated with the verification
        relatedEntities:
          type: array
          items:
            $ref: '#/components/schemas/RelatedEntityV2'
          description: An array of related entities
        patient:
          $ref: '#/components/schemas/PatientV2'
        subscriber:
          $ref: '#/components/schemas/SubscriberV2'
        plan:
          $ref: '#/components/schemas/Plan'
        payer:
          $ref: '#/components/schemas/Payer'
        group:
          $ref: '#/components/schemas/Group'
    BenefitsV2:
      type: object
      properties:
        networkStatus:
          type: string
          description: |
            Describes the network status of the benefits

            `inn` In Network
            `oon` Out of Network
          enum:
            - inn
            - oon
        tier:
          type: number
          nullable: true
          description: >-
            The benefits tier, if multiple benefits are available. This
            attribute will be null if only one tier is available.
          example: 1
        accuracy:
          type: number
          nullable: true
          description: >-
            Confidence score (0–1) indicating historical accuracy of copay,
            coinsurance, deductible, and out-of-pocket values for a
            customer–payer. Calculated at runtime from past verifications and
            returned with each benefit tier when available.
          example: 0.84
          minimum: 0
          maximum: 1
        copay:
          type: number
          nullable: true
          description: The co-payment value, in USD
          example: 30
        coinsurance:
          type: number
          nullable: true
          description: >-
            The co-insurance value. Has the value `1` if co-insurance is 100%,
            indicating that the payer will not reimburse for this network status
          example: 0.1
        deductible:
          $ref: '#/components/schemas/Deductible'
        outOfPocket:
          $ref: '#/components/schemas/OutOfPocket'
    Limitation:
      type: object
      properties:
        total:
          type: number
          nullable: true
          description: The total limit for the benefit
          example: 20
        remaining:
          type: number
          nullable: true
          description: The remaining limit for the benefit
          example: 12
        network:
          type: string
          description: |
            The network this limitation applies to

            `inn` In Network
            `oon` Out of Network
          enum:
            - inn
            - oon
        quantityQualifierCode:
          $ref: '#/components/schemas/BenefitLimitationType'
    RelatedEntityV2:
      type: object
      properties:
        id:
          type: string
          nullable: true
          description: The ID of the related entity
          format: uuid
          example: '01260'
        soharId:
          type: string
          description: The internal ID of the related entity
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        name:
          type: string
          description: The name of the related entity
          example: Magellan
        memberId:
          type: string
          nullable: true
          description: >-
            The insurance member ID, if the related entity knows the patient by
            a different member ID
          example: '00000000'
        entityIdentifierCode:
          type: string
          nullable: true
          example: PRP
          enum:
            - VN
            - PRP
            - SEP
            - TTP
            - X3
            - TV
            - Y2
            - I3
            - PR
            - P5
            - 13
            - 1P
            - 1I
            - 2B
          description: |-
            Specifies the role of the related entity

            `VN`  Vendor
            `PRP` Primary Payer
            `SEP` Secondary Payer
            `TTP` Tertiary Payer
            `X3`  Utilization Management Organization
            `TV`  Third Party Administrator
            `Y2`  Managed Care Organization
            `I3`  Independent Physicians Association (IPA)
            `PR`  Payer
            `P5`  Plan Sponsor
            `13`  Contracted Service Provider
            `1P`  Provider
            `1I`  Preferred Provider Organization (PPO)
            `2B`  Third-Party Administrator
        entityQualifier:
          type: string
          nullable: true
          example: PART_A
          enum:
            - PART_A
            - PART_B
            - PART_C
            - PART_D
          description: >-
            Qualifier to indicate Medicare Part. Defaults to null and currently
            only populated for Medicare entities.
    PatientV2:
      type: object
      properties:
        firstName:
          type: string
          description: The patient's first name
          example: JOHN
        lastName:
          type: string
          description: The patient's last name
          example: DOE
        dateOfBirth:
          type: string
          description: The patient's birth date in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        memberId:
          type: string
          description: The insurance member ID
          example: '00000000'
        gender:
          type: string
          description: |-
            The patient's gender code

            `M`  Male
            `F`  Female
            `U`  Unknown
          example: F
          enum:
            - M
            - F
            - U
        subscriberRelationshipCode:
          type: string
          nullable: true
          example: '18'
          enum:
            - '01'
            - '04'
            - '05'
            - '07'
            - '10'
            - '15'
            - '17'
            - '18'
            - '19'
            - '20'
            - '21'
            - '22'
            - '23'
            - '24'
            - '26'
            - '29'
            - '30'
            - '31'
            - '32'
            - '33'
            - '36'
            - '39'
            - '40'
            - '41'
            - '43'
            - '53'
            - G8
          description: >-
            Describes the relationship between the patient and the subscriber


            `01`  Spouse

            `04`  Grandfather or Grandmother

            `05`  Grandson or Granddaughter

            `07`  Nephew or Niece

            `10`  Foster Child

            `15`  Ward of the Court

            `17`  Stepson or Stepdaughter

            `18`  Self

            `19`  Child

            `20`  Employee

            `21`  Unknown

            `22`  Handicapped/Dependent

            `23`  Sponsored Dependent

            `24`  Dependent of Minor Dependent

            `26`  Guardian

            `29`  Significant Other

            `30`  Both Parents - The legal custody of the student is with both
            parents

            `31`  Court Appointed Guardian

            `32`  Mother

            `33`  Father

            `36`  Emancipated Minor

            `39`  Organ Donor

            `40`  Cadaver Donor

            `41`  Injured Plaintiff

            `43`  Child Where Insured Has No Financial Responsibility

            `53`  Life Partner

            `G8`  Other Relationship
        address:
          $ref: '#/components/schemas/Address'
    SubscriberV2:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
          description: The subscriber's first name
          example: JOHN
        lastName:
          type: string
          nullable: true
          description: The subscriber's last name
          example: DOE
        dateOfBirth:
          type: string
          nullable: true
          description: The subscriber's birth date in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        gender:
          type: string
          description: |-
            The subscriber's gender code

            `M`  Male
            `F`  Female
            `U`  Unknown
          example: M
          enum:
            - M
            - F
            - U
    Plan:
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: Describes the patient's plan
          example: OPEN CHOICE
        number:
          type: string
          nullable: true
          description: The plan's identification number
          example: '12345678'
        insuranceTypeCode:
          type: string
          nullable: true
          description: >-
            Describes the patient's [insurance
            type](https://x12.org/codes/insurance-descriptor-codes)
          example: HM
        startDate:
          type: string
          nullable: true
          description: Date on which coverage began in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        endDate:
          type: string
          nullable: true
          description: Date on which coverage ends in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        networkId:
          type: string
          nullable: true
          description: The plan's network identifier
          example: A2
    Payer:
      type: object
      properties:
        id:
          type: string
          description: >-
            The [payer
            ID](https://docs.soharhealth.com/api-reference/payers/get-payers).
            Note that this value may be different to the value provided in the
            original request if the original payer was incorrect and the correct
            payer has been found
          format: uuid
          example: '60054'
        name:
          type: string
          description: >-
            The payer's name. Note that this value may be different to the value
            provided in the original request if the original payer was incorrect
            and the correct payer has been found
          example: Aetna
    Group:
      type: object
      properties:
        number:
          type: string
          nullable: true
          description: Describes the patient's group number
          example: '123456'
        name:
          type: string
          nullable: true
          description: Describes the patient's group name
          example: ACME CORPORATION
    Deductible:
      type: object
      properties:
        total:
          type: number
          nullable: true
          description: The patient's total deductible value, in USD
          example: 1000
        remaining:
          type: number
          nullable: true
          description: The patient's remaining deductible value, in USD
          example: 847.56
        coverageLevelCode:
          type: string
          nullable: true
          description: >
            Indicates the coverage level of the provided deductible information.
            Possible values include: IND, FAM, CHD, DEP, ECH, EMP, ESP, SPC, SPO
          example: IND
    OutOfPocket:
      type: object
      properties:
        total:
          type: number
          nullable: true
          description: >-
            The patient's out of pocket maximum value, in USD. Also known as the
            stop loss value
          example: 10000
        remaining:
          type: number
          nullable: true
          description: >-
            The patient's remaining out of pocket value, in USD. Also known as
            the stop loss value
          example: 5103.21
        coverageLevelCode:
          type: string
          nullable: true
          description: >
            Indicates the coverage level of the provided out of pocket
            information. Possible values include: IND, FAM, CHD, DEP, ECH, EMP,
            ESP, SPC, SPO
          example: IND
    BenefitLimitationType:
      type: string
      description: Limitation quantity qualifier code
      enum:
        - VS
    Address:
      type: object
      properties:
        address1:
          type: string
          nullable: true
          description: The first line of the patient's address
          example: 1 BROADWAY
        address2:
          type: string
          nullable: true
          description: The second line of the patient's address
          example: P.O. BOX 123
        city:
          type: string
          nullable: true
          description: The patient's city
          example: LOS ANGELES
        state:
          type: string
          description: The patient's state
          enum:
            - AK
            - AL
            - AR
            - AZ
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - HI
            - IA
            - ID
            - IL
            - IN
            - KS
            - KY
            - LA
            - MA
            - MD
            - ME
            - MI
            - MN
            - MO
            - MS
            - MT
            - NC
            - ND
            - NE
            - NH
            - NJ
            - NM
            - NV
            - NY
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VA
            - VT
            - WA
            - WI
            - WV
            - WY
          example: CA
        zipCode:
          type: string
          nullable: true
          description: The patient's zip code
          example: '90210'
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````